<?php
date_default_timezone_set('America/Lima');
class cBonificacionvendedor_cst{


function mostrarValorizados($punven_id,$fec1){
		
		$sql = "SELECT(vd.tb_ventadetalle_can * vd.tb_ventadetalle_preuni) as 'totalventa',
		sum(vd.tb_ventadetalle_precos) as 'totalcosto' from tb_ventadetalle vd
		inner join tb_venta v on vd.tb_venta_id = v.tb_venta_id 
		where v.tb_puntoventa_id = '$punven_id' and v.tb_venta_fec = '$fec1' ";
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;
	}

	function mostrarPuntoVenta(){
		
		$sql = "SELECT * FROM tb_puntoventa WHERE tb_puntoventa_xac = '1'";
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;
	}
	


	function verSuma_BonificacionVendedorFecha($fec1,$ven_id){
		$sql="select sum(vd.tb_ventadetalle_bonuni*vd.tb_ventadetalle_can) as 'totalbonificacion',
		sum(CASE WHEN vd.tb_ventadetalle_can>=em.tb_empaque_fac THEN vd.tb_ventadetalle_preuni*(vd.tb_ventadetalle_can /em.tb_empaque_fac)  ELSE vd.tb_ventadetalle_preuni*vd.tb_ventadetalle_can END) as 'totalventa' from tb_ventadetalle vd
		inner join tb_venta v on v.tb_venta_id = vd.tb_venta_id
		INNER JOIN tb_catalogo ct ON vd.tb_catalogo_id = ct.tb_catalogo_id
		INNER JOIN tb_producto p ON ct.tb_producto_id = p.tb_producto_id
		INNER JOIN tb_presentacion pr ON p.tb_presentacion_id = pr.tb_presentacion_id
		INNER JOIN tb_marca m ON vd.tb_marca_id = m.tb_marca_id
		INNER JOIN tb_categoria cg ON p.tb_categoria_id = cg.tb_categoria_id
		INNER JOIN tb_unidad un ON ct.tb_unidad_id = un.tb_unidad_id
		INNER JOIN tb_empaque em ON em.tb_empaque_id = p.tb_empaque_id
		WHERE v.tb_venta_xac = 1 and v.tb_venta_est = '1'
		AND v.tb_venta_fec = '$fec1' AND vd.tb_ventadetalle_bonuni > 0 ";
		
		if($ven_id!=''){ $sql = $sql." AND v.tb_vendedor_id = '$ven_id' "; }
		
		$sql = $sql." ORDER BY v.tb_venta_fec ";
		//echo $sql;exit;
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;
	}

	function verSuma_clienteVendedorFecha($fec1,$ven_id){
		$sql="select count(v.tb_venta_id) as 'totalcliente' from tb_venta v
		WHERE v.tb_venta_xac = 1 and v.tb_venta_est = '1'
		AND v.tb_venta_fec = '$fec1'  ";
		
		if($ven_id!=''){ $sql = $sql." AND v.tb_vendedor_id = '$ven_id' "; }
		
		$sql = $sql."  ";
		//echo $sql;exit;
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;
	}


}
?>